public
Last active — forked from eventualbuddha/extract.log

  • Download Gist
extract.log
1 2 3 4 5 6 7 8 9 10
[2010-07-07 07:30:41] tar zxf /home/vadmin/.rvm/archives/zlib-1.2.5.tar.gz -C /home/vadmin/.rvm/src
 
gzip: stdin: invalid compressed data--crc error
tar: Child returned status 1
tar: Exiting with failure status due to previous errors
[2010-07-07 07:31:09] tar zxf /home/vadmin/.rvm/archives/zlib-1.2.5.tar.gz -C /home/vadmin/.rvm/src
 
gzip: stdin: invalid compressed data--crc error
tar: Child returned status 1
tar: Exiting with failure status due to previous errors
gistfile2.txt
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16
vadmin@ubuntu:~$ rvm package install zlib
 
info: Fetching zlib-1.2.5.tar.gz to /home/vadmin/.rvm/archives
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 531k 100 531k 0 0 234k 0 0:00:02 0:00:02 --:--:-- 297k
 
info: Extracting zlib-1.2.5.tar.gz to /home/vadmin/.rvm/src
 
error: Error running 'tar zxf /home/vadmin/.rvm/archives/zlib-1.2.5.tar.gz -C /home/vadmin/.rvm/src', please check /home/vadmin/.rvm/log/zlib/extract*.log
 
info: Configuring zlib in /home/vadmin/.rvm/src/zlib-1.2.5.
 
info: Compiling zlib in /home/vadmin/.rvm/src/zlib-1.2.5.
 
info: Installing zlib to /home/vadmin/.rvm/usr
gistfile3.txt
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24
vadmin@ubuntu:~$ rvm notes
 
 
Notes for Linux ( DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=10.04
DISTRIB_CODENAME=lucid
DISTRIB_DESCRIPTION="Ubuntu 10.04 LTS" )
 
* curl is required.
 
* patch is required (for ree, some ruby head's).
 
* If you wish to install rbx and/or any MRI head (eg. 1.9.2-head) then you must install and use rvm 1.8.7 first.
 
* For JRuby (if you wish to use it) you will need:
$ aptitude install curl sun-java6-bin sun-java6-jre sun-java6-jdk
* For MRI & ree (if you wish to use it) you will need (depending on what you are installing):
$ aptitude install build-essential bison openssl libreadline5 libreadline-dev curl git-core zlib1g zlib1g-dev libssl-dev vim libsqlite3-0 libsqlite3-dev sqlite3 libreadline5-dev libreadline6-dev libxml2-dev git-core subversion autoconf
* For IronRuby (if you wish to use it) you will need:
$ aptitude install curl mono-2.0-devel
vadmin@ubuntu:~$ which patch
/usr/bin/patch
vadmin@ubuntu:~$ which curl
/usr/bin/curl
solution
1 2 3 4 5 6 7 8 9 10 11 12
## make sure you've got ruby1.8-dev installed for this
## make sure you're rvm'd to this ruby version, not system ruby.
 
vadmin@ubuntu:~/.rvm/src/ruby-1.8.7-p299/ext/zlib$ ruby extconf.rb
checking for deflateReset() in -lz... yes
checking for zlib.h... yes
checking for kind of operating system... Unix
creating Makefile
vadmin@ubuntu:~/.rvm/src/ruby-1.8.7-p299/ext/zlib$ make
gcc -shared -o zlib.so zlib.o -L. -L/home/vadmin/.rvm/rubies/ruby-1.8.7-p299/lib -Wl,-R/home/vadmin/.rvm/rubies/ruby-1.8.7-p299/lib -L. -rdynamic -Wl,-export-dynamic -Wl,-R -Wl,/home/vadmin/.rvm/rubies/ruby-1.8.7-p299/lib -L/home/vadmin/.rvm/rubies/ruby-1.8.7-p299/lib -lruby -lz -lrt -ldl -lcrypt -lm -lc
vadmin@ubuntu:~/.rvm/src/ruby-1.8.7-p299/ext/zlib$ make install
/usr/bin/install -c -m 0755 zlib.so /home/vadmin/.rvm/rubies/ruby-1.8.7-p299/lib/ruby/site_ruby/1.8/i686-linux

Please sign in to comment on this gist.

Something went wrong with that request. Please try again.